Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Get your API key instantly at drain.lat/dashboard. Sign in with Discord, no request needed.
Fetch OnlyFans profile information including bio, avatar, and subscription pricing.
https://drain.lat/api/v1/onlyfans
GET /profile/:username
GET /api/v1/onlyfans/profile/:username
curl "https://drain.lat/api/v1/onlyfans/profile/username" \ -H "x-api-key: YOUR_API_KEY"
const res = await fetch("https://drain.lat/api/v1/onlyfans/profile/username", { headers: { "x-api-key": "YOUR_API_KEY" } }); const data = await res.json();
import requests res = requests.get( "https://drain.lat/api/v1/onlyfans/profile/username", headers={"x-api-key": "YOUR_API_KEY"} ) print(res.json())
null
{ "username": "username", "name": "Display Name", "bio": "Profile bio text here", "avatarUrl": "https://public.onlyfans.com/files/...", "subscriptionPrice": 9.99, "profileUrl": "https://onlyfans.com/username", "scrapedAt": "2026-05-31T12:00:00.000Z" }
Was this page helpful?